aboutsummaryrefslogtreecommitdiffstats
path: root/yardstick/resources/scripts/install/storperf.bash
diff options
context:
space:
mode:
Diffstat (limited to 'yardstick/resources/scripts/install/storperf.bash')
-rw-r--r--yardstick/resources/scripts/install/storperf.bash27
1 files changed, 27 insertions, 0 deletions
diff --git a/yardstick/resources/scripts/install/storperf.bash b/yardstick/resources/scripts/install/storperf.bash
new file mode 100644
index 000000000..9bbec7206
--- /dev/null
+++ b/yardstick/resources/scripts/install/storperf.bash
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# StorPerf plugin installation script
+# After installation, it will run StorPerf container on Jump Host
+# Requirements:
+# 1. docker has been installed on the Jump Host
+# 2. Openstack environment file for storperf, '~/storperf_admin-rc', is ready.
+
+set -e
+
+mkdir -p /tmp/storperf-yardstick
+
+docker pull opnfv/storperf
+docker run -t \
+--env-file ~/storperf_admin-rc \
+-p 5000:5000 -p 8000:8000 \
+-v /tmp/storperf-yardstick/carbon:/opt/graphite/storage/whisper \
+--name storperf-yardstick opnfv/storperf &